aboutsummaryrefslogtreecommitdiff
path: root/tasks/system-update
diff options
context:
space:
mode:
authorGravatar Jonas Gunz <himself@jonasgunz.de> 2020-06-01 22:14:26 +0200
committerGravatar Jonas Gunz <himself@jonasgunz.de> 2020-06-01 22:14:26 +0200
commita1f34001696c44139b668918ea52c1add0dde7ea (patch)
treeaf4ea86dfe4ac5a696e3c9eb43935ab9ebb063d4 /tasks/system-update
parentf33ea96125c63e112cbef97de3b8376a38681e40 (diff)
downloadltask-a1f34001696c44139b668918ea52c1add0dde7ea.tar.gz
fixed include system, updated some tasks
Diffstat (limited to 'tasks/system-update')
-rw-r--r--tasks/system-update31
1 files changed, 31 insertions, 0 deletions
diff --git a/tasks/system-update b/tasks/system-update
new file mode 100644
index 0000000..8244ca4
--- /dev/null
+++ b/tasks/system-update
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+function task_exec() {
+ ret=0
+ sudo pkg_update
+ ret=$(($ret + $?))
+
+ sudo pkg_upgrade
+ ret=$(($ret + $?))
+
+ exit $ret
+}
+
+function task_setup() {
+ # Available environment variables
+ # $ASSET_DIR
+ # $TOOL_DIR
+
+ INCLUDES+=("$INCLUDE_DIR/pkgmanager")
+
+ SSH_USER=server
+ SSH_IDENTITY_FILE=$ASSET_DIR/id_jenkins
+
+ TASK_ISSET="yes"
+}
+
+if [ -z $HOSTMODE ]; then
+ task_exec
+else
+ task_setup
+fi